Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.email
Class MailMuleMessageFactory

    java.lang.Object
      org.mule.transport.AbstractMuleMessageFactory
          org.mule.transport.email.MailMuleMessageFactory

All Implemented Interfaces:
  MuleMessageFactory

    public class MailMuleMessageFactory

extends AbstractMuleMessageFactory

Field Summary
`static String` | `HEADER_LIST_PREFIX`

Fields inherited from class org.mule.transport.AbstractMuleMessageFactory
`muleContext`

Constructor Summary
`MailMuleMessageFactory(MuleContext context)`

Method Summary
`protected void` | `addAttachmentHeaders(String name, Part part, MuleMessage muleMessage)`
`protected void` | `addAttachments(DefaultMuleMessage muleMessage, Object transportMessage)`
`protected void` | `addProperties(DefaultMuleMessage muleMessage, Object transportMessage)`
`protected Object` | `extractPayload(Object transportMessage, String encoding)`
`protected Class<?>[]` | `getSupportedTransportMessageTypes()`

Methods inherited from class org.mule.transport.AbstractMuleMessageFactory
`create, create`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HEADER_LIST_PREFIX

    public static final String HEADER_LIST_PREFIX

See Also:
  Constant Field Values

Constructor Detail

### MailMuleMessageFactory

    public MailMuleMessageFactory(MuleContext context)

Method Detail

### getSupportedTransportMessageTypes

    protected Class<?>[] getSupportedTransportMessageTypes()

  Specified by:
    `getSupportedTransportMessageTypes` in class `AbstractMuleMessageFactory`

### extractPayload

    protected Object extractPayload(Object transportMessage,
                                    String encoding)
                             throws Exception

  Specified by:
    `extractPayload` in class `AbstractMuleMessageFactory`
  Throws:
    `Exception`

### addProperties

    protected void addProperties(DefaultMuleMessage muleMessage,
                                 Object transportMessage)
                          throws Exception

  Overrides:
    `addProperties` in class `AbstractMuleMessageFactory`
  Throws:
    `Exception`

### addAttachments

    protected void addAttachments(DefaultMuleMessage muleMessage,
                                  Object transportMessage)
                           throws Exception

  Overrides:
    `addAttachments` in class `AbstractMuleMessageFactory`
  Throws:
    `Exception`

### addAttachmentHeaders

    protected void addAttachmentHeaders(String name,
                                        Part part,
                                        MuleMessage muleMessage)
                                 throws MessagingException

  Throws:
    `MessagingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.